Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001437KdenliveBuild Systempublic2010-02-08 22:402010-02-20 08:16
ReporterBioGeek 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version0.7.7 
Summary0001437: Segmentation fault
DescriptionApplication that crashed: kdenlive
Version of the application: 0.7.5
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-19-generic i686
Distribution: Ubuntu 9.10


 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7758700 (LWP 16569))]

Thread 3 (Thread 0xb3db0b70 (LWP 16578)):
#0 0x007c2422 in __kernel_vsyscall ()
#1 0x00865142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x07ae98d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x0088f539 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000004 0x0088f698 in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.1
0000005 0x01b3966c in ?? () from /usr/lib/mlt/libmltsdl.so
0000006 0x0086080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000007 0x07adc8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xb35afb70 (LWP 16579)):
#0 0x007c2422 in __kernel_vsyscall ()
#1 0x00864e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x07ae987d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x01b38eab in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x0086080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0x07adc8de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7758700 (LWP 16569)):
[KCrash Handler]
0000006 0x080d4917 in QListData::at (this=0xa8c54d8, ix=-1078277488) at /usr/include/qt4/QtCore/qlist.h:89
0000007 QList<TrackInfo>::at (this=0xa8c54d8, ix=-1078277488) at /usr/include/qt4/QtCore/qlist.h:396
0000008 KdenliveDoc::isTrackLocked (this=0xa8c54d8, ix=-1078277488) at /build/buildd/kdenlive-0.7.5/src/kdenlivedoc.cpp:1096
0000009 0x080f6f58 in TrackView (this=0xbfbac9b8, doc=0xa28c6f0, ok=0xbfbacb7f, parent=0x9f4a2e0) at /build/buildd/kdenlive-0.7.5/src/trackview.cpp:105
0000010 0x08080385 in MainWindow::doOpenFile (this=0x9f4a2e0, url=..., stale=0x0) at /build/buildd/kdenlive-0.7.5/src/mainwindow.cpp:1461
0000011 0x08091cc4 in MainWindow::openFile (this=0x9f4a2e0, url=...) at /build/buildd/kdenlive-0.7.5/src/mainwindow.cpp:1443
0000012 0x08091f0e in MainWindow::openFile (this=0x9f4a2e0) at /build/buildd/kdenlive-0.7.5/src/mainwindow.cpp:1394
0000013 0x0809bdff in MainWindow::qt_metacall (this=0x9f4a2e0, _c=QMetaObject::InvokeMetaMethod, _id=16, _a=0xbfbace68) at /build/buildd/kdenlive-0.7.5/build/src/cmake_bindir/mainwindow.moc:270
0000014 0x0108b263 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000015 0x0108b6d8 in QMetaObject::activate(QObject*, QMetaObject const*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000016 0x088ef9b1 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000017 0x088f0f32 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000018 0x08d92f02 in QToolButton::nextCheckState() () from /usr/lib/libQtGui.so.4
0000019 0x08cad163 in ?? () from /usr/lib/libQtGui.so.4
0000020 0x08cad431 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
0000021 0x08d933fc in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
0000022 0x0894b012 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000023 0x08cab3ee in QAbstractButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000024 0x08d95d9a in QToolButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000025 0x088f5f54 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000026 0x088fe033 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000027 0x002e2bfa in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000028 0x010756cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000029 0x088fcf6e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
0000030 0x0896b7c0 in ?? () from /usr/lib/libQtGui.so.4
0000031 0x0896ac4b in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000032 0x08997502 in ?? () from /usr/lib/libQtGui.so.4
0000033 0x02f00e88 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000034 0x02f04730 in ?? () from /lib/libglib-2.0.so.0
0000035 0x02f04863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000036 0x010a002c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000037 0x08996be5 in ?? () from /usr/lib/libQtGui.so.4
0000038 0x01073c79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000039 0x010740ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000040 0x0107653f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000041 0x088f5dd7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000042 0x0807d4ed in main (argc=1, argv=0xbfbaf064) at /build/buildd/kdenlive-0.7.5/src/main.cpp:89
Steps To ReproduceWhat I was doing when the application crashed:
Kdenlive crashes with a segmentation fault each time I try to open the attachted .kdenlive file
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon project_corsica.kdenlive [^] (64,534 bytes) 2010-02-08 22:40
? file icon corsica_fixed.kdenlive [^] (63,594 bytes) 2010-02-08 23:42

- Relationships

-  Notes
(0004681)
j-b-m (administrator)
2010-02-08 23:43

There was a corrupted transition in the project file. That issue is fixed in the 0.7.7 release of Kdenlive that should be released soon.

I fixed your project file and uploaded it as corsica_fixed.kdenlive

regards

- Issue History
Date Modified Username Field Change
2010-02-08 22:40 BioGeek New Issue
2010-02-08 22:40 BioGeek File Added: project_corsica.kdenlive
2010-02-08 23:42 j-b-m File Added: corsica_fixed.kdenlive
2010-02-08 23:43 j-b-m Note Added: 0004681
2010-02-08 23:43 j-b-m Status new => feedback
2010-02-09 08:41 j-b-m Status feedback => resolved
2010-02-09 08:41 j-b-m Fixed in Version => 0.7.7
2010-02-09 08:41 j-b-m Resolution open => fixed
2010-02-09 08:41 j-b-m Assigned To => j-b-m
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker